import { SYRFLocationConfig, SYRFLocationAuthorizationRequestIOS, SYRFLocationAccuracyRequestIOS, LocationAccuracyStatusIOS, LocationAuthorizationStatusIOS, SYRFHeadingConfig } from './types';
declare type SyrfClientType = {
    configure(options?: SYRFLocationConfig): Promise<any>;
    startLocationUpdates(): void;
    stopLocationUpdates(): void;
    getCurrentLocation(): void;
    onAppMoveToBackground(): void;
    requestAuthorizationPermissions(permissions: SYRFLocationAuthorizationRequestIOS): Promise<LocationAuthorizationStatusIOS>;
    checkAuthorizationPermissions(): Promise<LocationAuthorizationStatusIOS>;
    requestAccuracyPermissions(permissions: SYRFLocationAccuracyRequestIOS): Promise<LocationAccuracyStatusIOS>;
    checkAccuracyPermissions(): Promise<LocationAccuracyStatusIOS>;
    configureHeading(options?: SYRFHeadingConfig): Promise<any>;
    startHeadingUpdates(): void;
    stopHeadingUpdates(): void;
};
export declare const UPDATE_LOCATION_EVENT: any, CURRENT_LOCATION_EVENT: any, FAILED_LOCATION_EVENT: any, UPDATE_HEADING_EVENT: any, FAILED_HEADING_EVENT: any;
declare const _default: SyrfClientType;
export default _default;
export { useEventListener } from './hooks/useEventListener';
export * from './types';
